From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libchamplain/
Date: Mon, 11 Sep 2017 06:38:33 +0000 (UTC) [thread overview]
Message-ID: <1505111882.4e3140bae80ad1507412a55c15bdbde0824aa40e.eva@gentoo> (raw)
commit: 4e3140bae80ad1507412a55c15bdbde0824aa40e
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 11 06:16:14 2017 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Sep 11 06:38:02 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e3140ba
media-libs/libchamplain: version bump 0.12.15 → 0.12.16
Package-Manager: Portage-2.3.8, Repoman-2.3.3
media-libs/libchamplain/Manifest | 1 +
.../libchamplain/libchamplain-0.12.16.ebuild | 63 ++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/media-libs/libchamplain/Manifest b/media-libs/libchamplain/Manifest
index d0cbdca2828..d4ec5429a64 100644
--- a/media-libs/libchamplain/Manifest
+++ b/media-libs/libchamplain/Manifest
@@ -1 +1,2 @@
DIST libchamplain-0.12.15.tar.xz 616692 SHA256 54721a210bdef6d73c5192ed83542023117bf5d7441257e7a7a9f8c05550b874 SHA512 df921dc26e30bc32f6487c02fc3c3f2dc7c672f6f42bd79e05091f717e6545051ab4f0db0709152a5babd4bbd7eb122997682561d9d63bef19bc1b2923100437 WHIRLPOOL 8b771c21cf3227b9f07377d219124b7c8a6ddeefa48db8f9e76e0ef619e01afaab808f7b3ffb5b54baed69a117ff7396f94e82e8abe69e26fd8dff6f9b36a6e5
+DIST libchamplain-0.12.16.tar.xz 623912 SHA256 4a7e31cf7889669aebf04631543af64435edd989685159b804911c6005db908d SHA512 78db380d87bd6437cab84b546af7f6505a8aaed7e8d9e8a06f3fdab1896b06a3bf1d11201384e4daedd2c78e528221e1d7e40665557e78251efec5fa036f4137 WHIRLPOOL 828f0e4f3ebdc207b2526802cd8e63fad51b445388c4d7feda31ec585d7afb586a14bbd600fea1addacd31c6f4ae34fd9ead65a19343074a4934a3935d2ddc34
diff --git a/media-libs/libchamplain/libchamplain-0.12.16.ebuild b/media-libs/libchamplain/libchamplain-0.12.16.ebuild
new file mode 100644
index 00000000000..80a76c72306
--- /dev/null
+++ b/media-libs/libchamplain/libchamplain-0.12.16.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 vala
+
+DESCRIPTION="Clutter based world map renderer"
+HOMEPAGE="https://wiki.gnome.org/Projects/libchamplain"
+
+SLOT="0.12"
+LICENSE="LGPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="debug +gtk +introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+ dev-db/sqlite:3
+ >=dev-libs/glib-2.16:2
+ >=media-libs/clutter-1.12:1.0[introspection?]
+ media-libs/cogl:=
+ >=net-libs/libsoup-2.42:2.4
+ >=x11-libs/cairo-1.4
+ x11-libs/gtk+:3
+ gtk? (
+ x11-libs/gtk+:3[introspection?]
+ media-libs/clutter-gtk:1.0 )
+ introspection? ( dev-libs/gobject-introspection:= )
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ # Fix documentation slotability
+ sed \
+ -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-${SLOT}/" \
+ -i docs/reference/Makefile.{am,in} || die "sed (1) failed"
+ sed \
+ -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-gtk-${SLOT}/" \
+ -i docs/reference-gtk/Makefile.{am,in} || die "sed (2) failed"
+ mv "${S}"/docs/reference/${PN}{,-${SLOT}}-docs.sgml || die "mv (1) failed"
+ mv "${S}"/docs/reference-gtk/${PN}-gtk{,-${SLOT}}-docs.sgml || die "mv (2) failed"
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Vala demos are only built, so just disable them
+ gnome2_src_configure \
+ --disable-memphis \
+ --disable-static \
+ --disable-vala-demos \
+ $(use_enable debug) \
+ $(use_enable gtk) \
+ $(use_enable introspection) \
+ $(use_enable vala)
+}
next reply other threads:[~2017-09-11 6:38 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-11 6:38 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-02 16:18 [gentoo-commits] repo/gentoo:master commit in: media-libs/libchamplain/ Sam James
2023-07-27 10:22 WANG Xuerui
2023-02-20 17:32 Matt Turner
2023-02-17 8:23 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-01-19 1:14 Matt Turner
2023-01-13 19:03 Arthur Zamarin
2022-10-31 2:56 Matt Turner
2021-12-13 5:54 Yixun Lan
2019-11-10 18:55 Pacho Ramos
2019-08-04 18:04 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-03-19 8:41 Mart Raudsepp
2019-03-09 12:48 Pacho Ramos
2019-03-09 12:48 Pacho Ramos
2019-02-23 15:59 Pacho Ramos
2018-11-02 12:18 Mart Raudsepp
2017-12-20 21:02 Mart Raudsepp
2017-12-19 19:14 Thomas Deutschmann
2017-12-16 14:04 Tobias Klausmann
2017-03-19 17:30 Mart Raudsepp
2016-09-26 19:13 Mart Raudsepp
2016-09-26 16:23 Agostino Sarubbo
2016-09-26 16:22 Agostino Sarubbo
2016-09-08 7:26 Gilles Dartiguelongue
2016-08-04 19:15 Pacho Ramos
2016-07-30 20:37 Pacho Ramos
2016-04-03 12:42 Pacho Ramos
2016-04-03 12:42 Pacho Ramos
2016-03-06 20:12 Mikle Kolyada
2015-12-12 14:29 Pacho Ramos
2015-12-12 14:29 Pacho Ramos
2015-11-11 8:20 Agostino Sarubbo
2015-11-10 17:02 Agostino Sarubbo
2015-09-20 18:35 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1505111882.4e3140bae80ad1507412a55c15bdbde0824aa40e.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox